---
lang: en
title: 'API docs: authorization.authorizationcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.authorizationcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationComponent](./authorization.authorizationcomponent.md)

## AuthorizationComponent class

<b>Signature:</b>

```typescript
export declare class AuthorizationComponent implements Component 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./authorization.authorizationcomponent.bindings.md) |  | <code>import(&quot;@loopback/core&quot;).Binding&lt;import(&quot;@loopback/core&quot;).Interceptor&gt;[]</code> |  |


